<div class="row">
  <div class="col s12">
    <div id="highlights" class="slider">
      <ul class="slides z-depth-2 hoverable">
        {% assign highlights = site.posts | where:"highlight",true %}
        {% for post in highlights | limit: 4 %}
        <li class="waves-effect waves-light">
          <a href="{{ post.url | relative_url }}">
          {{ post.image | remove: "assets/images/" | asset: "magick:resize='1200x' magick:gravity='center'
          magick:crop='1200x400+0+0' alt='image-alt' width='1200' height='400'" | replace: 'image-alt', post.image-alt }}
          <div class="caption {% cycle 'left-align', 'right-align' %}">
            <h3 class="flow-text-large title-background" style="line-height: 1.4em;">{{ post.title | escape | improve }}</h3>
          </div>
          </a>
        </li>
        {% endfor %}

      </ul>
    </div>
  </div>
</div>
